<?php get_header(); ?>

<!-- Section Header Title -->
    <section class="bg-grey padding-top-45 padding-bottom-45 clearfix">
      <div class="container">
          <div class="row">
            <div class="section-title">
              <div class="col-md-12">
                <h2><?php esc_html_e('Services','finance'); ?></h2>
              </div>
            </div>
          </div>
      </div>
    </section><!--  End Section -->

    <!-- Section BreadCrumb -->
    <?php if($finance_option['bread-switch']==true){ ?>
    <div class="no-padding border-bottom">
       <div class="container">
          <div class="row">
             <div class="col-md-12">
                 <div class="breadcrumb breadcrumb-finance" typeof="BreadcrumbList" vocab="http://schema.org/">
                    <?php if(function_exists('bcn_display'))
                    {
                        bcn_display();
                    }?>
                </div>
             </div>
          </div>
       </div>
    </div>
    <?php } ?><!--  End Section -->

    <div class="line"></div>

<!-- content begin -->
<div class="no-padding">
    <div class="container">
        <div class="row">
        <div class="col-md-12 padding-top-50">
        <div class="services-list-contain">
            <?php 
                $paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
                $args = array(
                    'post_type' => 'service',
                    'posts_per_page' => 8,
                    'paged' => $paged,
                );
                $wp_query = new WP_Query($args);
                while($wp_query->have_posts()) : $wp_query->the_post();
                $subtitle = get_post_meta(get_the_ID(),'_cmb_subtitle_service', true);
                $link = get_post_meta(get_the_ID(),'_cmb_link_service', true);
            ?>
                <div class="item-services">
                  <div class="thumbnail">
                    <a href="services-detail.html" class="services-3-column-img-container">
                      <?php the_post_thumbnail(); ?>
                      <h4><?php the_title(); ?></h4>
                    </a>
                    <div class="caption">
                      <p><?php echo esc_attr($subtitle); ?></p>
                      <?php if($link != ''){ ?>
                        <a class="learn-more" href="<?php echo esc_url($link); ?>"><?php esc_html_e('Learn More','finance'); ?> <i aria-hidden="true" class="fa fa-long-arrow-right"></i></a>
                      <?php }else{ ?>
                        <a class="learn-more" href="<?php the_permalink(); ?>"><?php esc_html_e('Learn More','finance'); ?> <i aria-hidden="true" class="fa fa-long-arrow-right"></i></a>
                      <?php } ?>
                    </div>
                  </div>
                </div><!-- end item -->
            <?php endwhile; ?> 
        </div>
        </div>
        <div class="col-md-12 text-center clearfix" style="width:100%;padding-top: 40px;">
            <?php
                global $wp_query;
                $big = 999999999;
                echo paginate_links( array(
                  'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                  'format' => '?paged=%#%',
                  'current' => max( 1, get_query_var('paged') ),
                  'total' => $wp_query->max_num_pages,                      
                    'prev_text' => '<i class="fa fa-angle-double-left"></i>',
                    'next_text' => '<i class="fa fa-angle-double-right"></i>',       
                    'type'          => 'list',
                    'end_size'      => 3,
                    'mid_size'      => 3
                ) );
            ?>
        </div>
        </div>
    </div>
</div>
<!-- content close -->
<?php get_footer(); ?>
