<?php
/**
 * The template for displaying comments.
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package finance
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area">

	<?php if ( have_comments() ) : ?>
	    <ol class="comment-list ">
				<?php wp_list_comments('callback=finance_theme_comment'); ?>
			<?php
				// Are there comments to navigate through?
				if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
			?>
				<nav class="navigation comment-navigation" role="navigation">		   
					<div class="nav-previous"><?php previous_comments_link( esc_html__( '&larr; Older Comments', 'finance' ) ); ?></div>
					<div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'finance' ) ); ?></div>
	                <div class="clearfix"></div>
				</nav><!-- .comment-navigation -->
			<?php endif; // Check for comment navigation ?>

			<?php if ( ! comments_open() && get_comments_number() ) : ?>
				<p class="no-comments"><?php esc_html_e( 'Comments are closed.' , 'finance' ); ?></p>
			<?php endif; ?>	
	    </ol>		
	<?php endif; ?>	

	<?php
    	if ( is_singular() ) wp_enqueue_script( "comment-reply" );
		$aria_req = ( $req ? " aria-required='true'" : '' );
        $comment_args = array(
                'id_form' => 'reply-form',                                
                'title_reply'=> esc_html__('Leave a Reply', 'finance'),
                'fields' => apply_filters( 'comment_form_default_fields', array(
                    'author' => '<div class="row"><div class="form-group col-sm-12 col-md-6 padding-right-10"><input id="inputName" class="form-control" name="author" type="text" value="" placeholder="'. esc_html__( 'Your Name', 'finance' ) .'" /></div>',
                    'email' => '<div class="form-group col-sm-12 col-md-6 padding-left-10"><input value="" class="form-control" id="inputEmail" name="email" type="email" placeholder="'. esc_html__( 'Your Email', 'finance' ) .'" /></div></div>',                     
                ) ),                                
                 'comment_field' => '<textarea rows="5" cols="45" name="comment" '.$aria_req.' id="comment" class="form-control" placeholder="'. esc_html__( 'Message', 'finance' ) .'" ></textarea>',                                                   
                 'label_submit' => esc_html__( 'Post a comment', 'finance' ),
                 'comment_notes_before' => '',
                 'comment_notes_after' => '',   
                 'class_submit'      => 'ot-btn btn-main-color large-btn btn-rounded btn-submit',            
	        )
	    ?>
	    <?php comment_form($comment_args); ?>

</div><!-- #comments -->
