<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package finance
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php global $finance_option; ?>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

  <!-- Favicons
  ================================================== -->
  <?php finance_custom_favicon(); ?>
  
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php if($finance_option['preload-switch']==true){ ?>
  <div id="jSplash">
    <div class="sk-folding-cube">
      <div class="sk-cube1 sk-cube"></div>
      <div class="sk-cube2 sk-cube"></div>
      <div class="sk-cube4 sk-cube"></div>
      <div class="sk-cube3 sk-cube"></div>
    </div>
  </div>
<?php } ?>

<div id="overlay"></div>
<div class="mobile-menu-first">
  <div id="mobile-menu-right" class="mobile-menu-dark">
    <div class="mCustomScrollbar light" data-mcs-theme="minimal-dark">
      <div class="header-mobile-menu hmm-v1">
          <?php get_search_form(); ?>
      </div> <!-- End header mobile menu -->
      <?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
      <div class="footer-mobile-menu fmm-v1">          
          <ul class="address-footer-mobile">                        
            <?php if($finance_option['phone_header']!=''){ ?><li><a href="tel:<?php echo esc_attr($finance_option['phone_header']); ?> "><span class="lnr lnr-smartphone"></span><?php echo esc_attr($finance_option['phone_header']); ?> </a></li><?php } ?>
            <?php if($finance_option['email_header']!=''){ ?><li><a href="<?php echo esc_attr($finance_option['email_header']); ?>"><span class="lnr lnr-envelope"></span><?php echo esc_attr($finance_option['email_header']); ?></a></li><?php } ?>            
            <?php if($finance_option['address_header']!=''){ ?><li><a><span class="lnr lnr-map-marker"></span><?php echo esc_attr($finance_option['address_header']); ?><?php echo esc_attr($finance_option['country_header']); ?></a></li><?php } ?>
          </ul>
          <?php finance_custom_header_socials(); ?>
      </div><!-- End footer mobile menu -->
    </div>
  </div>
</div>
<div id="page">

<?php 
    if(isset($finance_option['header_layout']) and $finance_option['header_layout']=="header1" ){
      get_template_part('framework/headers/header-1'); 
    }elseif(isset($finance_option['header_layout']) and $finance_option['header_layout']=="header2" ){
      get_template_part('framework/headers/header-2'); 
    }elseif(isset($finance_option['header_layout']) and $finance_option['header_layout']=="header3" ){
      get_template_part('framework/headers/header-3'); 
    }elseif(isset($finance_option['header_layout']) and $finance_option['header_layout']=="header4" ){
      get_template_part('framework/headers/header-4'); 
    }elseif(isset($finance_option['header_layout']) and $finance_option['header_layout']=="header6" ){
      get_template_part('framework/headers/header-6'); 
    }else{ 
?>
<div class="top-bar top-bar-dark hidden-sm hidden-xs">
  <div class="container">
    <div class="left-top-bar left-top-bar-long">
          <?php if($finance_option['address_header']!= ''){ ?><p class="hidden-xs" ><span class="lnr lnr-map-marker large-lnr"></span><span><?php echo esc_attr($finance_option['address_header']); ?><?php echo esc_attr($finance_option['country_header']); ?></span></p><?php } ?>
          <?php if($finance_option['phone_header']!= ''){ ?><p class="hidden-xs"><span class="lnr lnr-smartphone large-lnr"></span><span><?php echo esc_attr($finance_option['phone_header']); ?></span></p><?php } ?>
          <?php if($finance_option['email_header']!= ''){ ?><p class="hidden-xs"><span class="lnr lnr-envelope large-lnr"></span><span><?php echo esc_attr($finance_option['email_header']); ?></span></p><?php } ?>
          <div class="popover-container visible-xs">
            <button type="button" class="btn btn-popover popover-dark" data-container="body" data-toggle="popover" data-placement="bottom" title="<?php echo esc_attr($finance_option['phone_header']); ?>" data-content="<?php echo esc_attr($finance_option['email_header']); ?>">
              <span class="lnr lnr-phone-handset"></span>
            </button>
             <button type="button" class="btn btn-popover popover-dark" data-container="body" data-toggle="popover" data-placement="bottom" title="<?php echo esc_attr($finance_option['address_header']); ?>" data-content="<?php echo esc_attr($finance_option['country_header']); ?>">
              <span class="lnr lnr-map-marker"></span>
            </button>
            <button type="button" class="btn btn-popover popover-dark" data-container="body" data-toggle="popover" data-placement="bottom" title="<?php echo esc_attr($finance_option['time_header']); ?>" data-content="<?php echo esc_attr($finance_option['date_header']); ?>">
              <span class="lnr lnr lnr-clock"></span>
            </button>
          </div>
    </div> <!-- End left top bar -->
    <div class="right-top-bar">
        <?php finance_custom_header_socials(); ?>
    </div><!-- End right top bar -->
  </div> <!-- End container -->
</div> <!-- End top bar -->

<header id="sticked-menu" class="header header-v5">
  <div class="container">
      <div class="logo">
          <div class="mm-toggle visible-xs visible-sm">
            <i class="fa fa-bars"></i>              
          </div>
          <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
          <?php if($finance_option['logo']['url'] != '') { ?>
              <img src="<?php echo esc_url($finance_option['logo']['url']); ?>" class="img-responsive" alt="<?php bloginfo('name'); ?>">
          <?php } else { ?>
              <img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="<?php bloginfo('name'); ?>" class="img-responsive">
          <?php } ?>
          </a>
      </div>
      <nav class="navi-desktop-site hidden-sm hidden-xs">
          <?php
              $primary = array(
                  'theme_location'  => 'primary',
                  'menu'            => '',
                  'container'       => '',
                  'container_class' => '',
                  'container_id'    => '',
                  'menu_class'      => '',
                  'menu_id'         => '',
                  'echo'            => true,
                  'fallback_cb'     => 'wp_bootstrap_navwalker::fallback',
                  'walker'          => new wp_bootstrap_navwalker(),
                  'before'          => '',
                  'after'           => '',
                  'link_before'     => '',
                  'link_after'      => '',
                  'items_wrap'      => '<ul class="navi-level-1 uppercase">%3$s</ul>',
                  'depth'           => 0,
              );
              if ( has_nav_menu( 'primary' ) ) {
                  wp_nav_menu( $primary );
              }
          ?>    
      </nav>
  </div>
</header>
<?php } ?>
