<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package finance
 */

global $finance_option;

get_header(); ?>
    <!-- Section Header Title -->
	<section class="bg-grey padding-top-45 padding-bottom-45 clearfix">
      <div class="container">
          <div class="row">
            <div class="section-title">
              <div class="col-md-12">
                <h2><?php echo get_the_title( get_option( 'page_for_posts' ) ); ?></h2>
              </div>
            </div>
          </div>
      </div>
    </section><!--  End Section -->

    <!-- Section BreadCrumb -->
    <?php if($finance_option['bread-switch']==true){ ?>
    <div class="no-padding border-bottom">
       <div class="container">
          <div class="row">
             <div class="col-md-12">
                 <div class="breadcrumb breadcrumb-finance" typeof="BreadcrumbList" vocab="http://schema.org/">
                    <?php if(function_exists('bcn_display'))
                    {
                        bcn_display();
                    }?>
                </div>
             </div>
          </div>
       </div>
    </div>
    <?php } ?><!--  End Section -->

    <div class="line"></div>

   <!--List Blog -->
    <div class="no-padding">
        <div class="container">
            <div class="row">
                <div id="primary" class="content-area col-md-9 no-padding-right">
                    <main id="main" class="site-main padding-top-50" >

                        <?php 
		                    while (have_posts()) : the_post();
		                      	get_template_part( 'content', get_post_format() ) ;   // End the loop.
		                    endwhile;
	                    ?>

                    </main>

                    <div class="col-md-12 text-center clearfix">
                        <?php echo finance_pagination(); ?>
                    </div>
                </div>

                <div id="secondary" class="widget-area  col-md-3 padding-top-50" role="complementary">              
                	<?php get_sidebar();?>
                </div>
                
            </div>
        </div>
    </div>
    <!-- content close -->

<?php get_footer(); ?>
