<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package finance
 */
$subtitle = get_post_meta(get_the_ID(),'_cmb_page_subtitle', true);
get_header(); ?>

    <!-- Section Header Title -->
	<section class="bg-grey padding-top-45 padding-bottom-45 clearfix">
      <div class="container">
          <div class="row">
            <div class="section-title">
              <div class="col-md-12">
                <h2><?php the_title(); ?></h2>
              </div>
            </div>
          </div>
      </div>
    </section><!--  End Section -->

    <div class="line"></div>

    <!-- Section BreadCrumb -->
    <?php if($finance_option['bread-switch']==true){ ?>
    <div class="no-padding border-bottom">
       <div class="container">
          <div class="row">
             <div class="col-md-12">
                 <div class="breadcrumb breadcrumb-finance" typeof="BreadcrumbList" vocab="http://schema.org/">
                    <?php if(function_exists('bcn_display'))
                    {
                        bcn_display();
                    }?>
                </div>
             </div>
          </div>
       </div>
    </div>
    <?php } ?><!--  End Section -->

    <div class="no-padding">
        <div class="container">
            <div class="row">
                <div id="primary" class="content-area col-md-9 no-padding-right">
                    <main id="main" class="site-main padding-top-50" >

                        <?php while ( have_posts() ) : the_post(); ?>
                        	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
								<?php the_content(); ?>

								<?php
									// If comments are open or we have at least one comment, load up the comment template.
									if ( comments_open() || get_comments_number() ) :
										comments_template();
									endif;
								?>
								<?php wp_link_pages(); ?>
							</div>
						<?php endwhile; // End of the loop. ?>

                    </main>

                </div>

                <div class="widget-area  col-md-3 padding-top-50" role="complementary">              
                	<?php get_sidebar();?>
                </div>
            </div>
        </div>
    </div>
    <!-- content close -->

<?php get_footer(); ?>
