<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package finance
 */
$subtitle = get_post_meta(get_the_ID(),'_cmb_page_subtitle', true);
get_header(); ?>

	<!-- Section Header Title -->
    <section class="bg-grey padding-top-45 padding-bottom-45 clearfix">
      <div class="container">
          <div class="row">
            <div class="section-title">
              <div class="col-md-12">
                <h2><?php echo esc_attr($finance_option['the_blog_single']); ?></h2>
              </div>
            </div>
          </div>
      </div>  
    </section><!--  End Section -->

    <!-- Section BreadCrumb -->
    <?php if($finance_option['bread-switch']==true){ ?>
    <div class="no-padding border-bottom">
       <div class="container">
          <div class="row">
             <div class="col-md-12">
                 <div class="breadcrumb breadcrumb-finance" typeof="BreadcrumbList" vocab="http://schema.org/">
	                <?php if(function_exists('bcn_display'))
	                {
	                    bcn_display();
	                }?>
	            </div>
             </div>
          </div>
       </div>
    </div>
    <?php } ?><!--  End Section -->

    <div class="line"></div>

    <!-- content begin -->
    <section class="no-padding">
        <div class="container">
            <div class="row">
                    <div id="primary" class="content-area  col-md-9 no-padding-right padding-bottom-70">
                    	<main id="main" class="site-main padding-top-50" >
                        <?php while ( have_posts() ) : the_post(); ?>
                        	<h1><?php the_title(); ?></h1>
                        	<div class="latest-news-data">
		                        <?php echo finance_entry_meta(); ?>
		                    </div>
		                    <div class="lastest-news-detail">
	                        <?php $format = get_post_format(); ?>
	                        	<?php if($format=='audio'){ $link_audio = get_post_meta(get_the_ID(),'_cmb_link_audio', true); ?>
	                          		<iframe style="width:100%" src="<?php echo esc_url( $link_audio ); ?>"></iframe>	            
	                          	<?php } elseif($format=='video'){ $link_video = get_post_meta(get_the_ID(),'_cmb_link_video', true); ?>
	                            	<?php echo wp_oembed_get( $link_video ); ?>	          
	                          	<?php } elseif($format=='gallery'){ ?>
		                            <div id="owl-demo-<?php the_ID(); ?>" class="owl-carousel">
		                              <?php if( function_exists( 'rwmb_meta' ) ) { ?>  
		                                  <?php $images = rwmb_meta( '_cmb_images', "type=image" ); ?>
		                                  <?php if($images){ ?>		                                    
		                                      <?php foreach ( $images as $image ) {  ?>
		                                      <?php $img = $image['full_url']; ?>
		                                        <div class="item"><img src="<?php echo esc_url($img); ?>" alt=""></div> 
		                                      <?php } ?>                   
		                                    
		                                  <?php } ?>
		                                <?php } ?>
		                            </div>          
	                          	<?php } elseif ($format=='image'){ ?>
		                          	<?php if( function_exists( 'rwmb_meta' ) ) { ?>  
			                            <?php $images = rwmb_meta( '_cmb_image', "type=image" ); ?>
			                            <?php if($images){ ?>
				                            <?php foreach ( $images as $image ) { ?>
					                            <?php $img = $image['full_url']; ?>
					                            <img src="<?php echo esc_url($img); ?>" class="img-responsive" alt="">
				                            <?php } ?>
			                            <?php } ?>
		                          	<?php } ?>
	                          <?php }else{ ?>
	                              <?php if(get_the_post_thumbnail()){ ?>              
	                                  <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id()); ?>" alt="">
	                              <?php } ?>
	                          <?php } ?>
	                        	<?php the_content(); ?>
	                        </div>					
	                        <div class="footer-detail-blog">
					            <div class="tags-bottom">
									<p><?php esc_html_e('Tags:', 'finance'); ?>
									<?php echo get_the_tag_list( '', ' ' ); ?></p>
								</div>
								<div class="share-bottom">
									<p><?php esc_html_e('Share:', 'finance'); ?>
									<a target="_blank" href="https://facebook.com/home?status=<?php the_permalink(); ?>"> <?php esc_html_e('Facebook,','finance'); ?></a> 
									<a target="_blank" href="https://twitter.com/home?status=<?php the_permalink(); ?>"><?php esc_html_e('Twitter,','finance'); ?></a>
									<a target="_blank" href="https://plus.google.com/home?status=<?php the_permalink(); ?>"><?php esc_html_e('Google+,','finance'); ?></a>	
								</div>
							</div>	
							<div class="line"></div>	
							<div class="entry_post_navigation"> 
			                    <div class="preview_entry_post">
			                        <?php previous_post_link( '%link', _x( '<span><i class="fa fa-angle-double-left" aria-hidden="true"></i> Previous</span> <h3> %title </h3>', 'Previous post link', 'finance' ) ); ?>
			                    </div>
			                    <div class="next_entry_post">
			                        <?php next_post_link( '%link', _x( '<span> Next <i class="fa fa-angle-double-right" aria-hidden="true"></i></span><h3> %title</h3>', 'Next post link', 'finance' ) ); ?>
			                    </div>
				            </div>
				            <div class="line"></div>
							<?php //the_post_navigation(); ?>
							<?php
								// If comments are open or we have at least one comment, load up the comment template.
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;
							?>
						<?php endwhile; // End of the loop. ?> 
                </main>                  
                </div>
                <div id="secondary" class="widget-area  col-md-3 padding-top-50" role="complementary">                
                	<?php get_sidebar();?>
                </div>
            </div>
        </div>
    </section>
    <!-- content close -->
	
<?php get_footer(); ?>
