<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>
<?php global $finance_option; ?>
	 	<!-- subheader -->
	    <section class="bg-grey padding-top-45 padding-bottom-45 clearfix">
	        <div class="container">
	            <div class="row">
	                <div class="section-title">
		              <div class="col-md-12">
		                <?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>

							<h2><?php the_title(); ?></h1>

						<?php endif; ?>
		              </div>
		            </div>
	            </div>
	        </div>
	    </section>
	    <!-- subheader close -->
	    <!-- Section BreadCrumb -->
	    <?php if($finance_option['bread-switch']==true){ ?>
	    <div class="no-padding border-bottom">
	       <div class="container">
	          <div class="row">
	             <div class="col-md-12">
	                 <?php woocommerce_breadcrumb(); ?>    
	             </div>
	          </div>
	       </div>
	    </div>
	    <?php } ?><!--  End Section -->

	    <div class="line"></div>
		<?php
			/**
			 * woocommerce_before_main_content hook.
			 *
			 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
			 * @hooked woocommerce_breadcrumb - 20
			 */
			do_action( 'woocommerce_before_main_content' );
		?>

	<div class="main-shop content-area col-md-9 no-padding-right">
		<main id="main" class="site-main padding-top-50">
		<?php while ( have_posts() ) : the_post(); ?>

			<?php wc_get_template_part( 'content', 'single-product' ); ?>

		<?php endwhile; // end of the loop. ?>
		</main>
	</div>
	<div class="widget-area  col-md-3 padding-top-50">
		<?php
			/**
			 * woocommerce_sidebar hook.
			 *
			 * @hooked woocommerce_get_sidebar - 10
			 */
			do_action( 'woocommerce_sidebar' );
		?>
	</div>
		<?php
			/**
			 * woocommerce_after_main_content hook.
			 *
			 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
			 */
			do_action( 'woocommerce_after_main_content' );
		?>
<?php get_footer( 'shop' ); ?>
